%define  pkg_version  2r3
Name:           sax2
Version:        2.0.2
Release:        %mkrel 6
Summary:        Simple API for XML
License:        Public Domain
Group:          Development/Java
URL:            http://www.saxproject.org/
Source0:        http://sourceforge.net/projects/sax/files/sax/SAX%20%{version}%20(sax2r3)%20final/sax%{pkg_version}.zip
BuildRequires:  ant
BuildRequires:  jpackage-utils
BuildRequires:  junit
BuildRequires:  java-devel
Requires:       jpackage-utils
Requires:       java
BuildArch:      noarch

%description
SAX is a common front-end for XML parsers, like the JDBC for database
access. SAX is widely used by open-source projects like Apache and by
corporate users like Sun, IBM, Oracle and Microsoft. SAX was developed
by the members of the XML-Dev mailing list

%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}

%description javadoc
SAX is a common front-end for XML parsers, like the JDBC for database
access.

This package contains javadoc for %{name}.

%prep
%setup -q -n sax%{pkg_version}

for j in $(find . -name "*.jar"); do
  mv $j $j.no
done

for c in $(find . -name "*.class"); do
  rm -rf $c
done

rm -rf docs/javadoc/*

%build

export CLASSPATH=$(build-classpath junit)
ant dist

%install
mkdir -p %{buildroot}%{_javadir}

install -pm 0644 sax2.jar %{buildroot}%{_javadir}/sax2-%{version}.jar

(
  cd %{buildroot}%{_javadir}/
  for jar in *-%{version}*; do
    ln -sf ${jar} ${jar/-%{version}/}
  done
)

mkdir -p %{buildroot}%{_javadocdir}/sax2-%{version}
cp -pr docs/javadoc/* %{buildroot}%{_javadocdir}/sax2-%{version}/
ln -sf sax2-%{version} %{buildroot}%{_javadocdir}/sax2

%files
%{_javadir}/sax2-%{version}.jar
%{_javadir}/sax2.jar

%files javadoc
%{_javadocdir}/sax2-%{version}
%{_javadocdir}/sax2



%changelog
* Mon Feb 01 2016 umeabot <umeabot> 2.0.2-6.mga6
+ Revision: 930433
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0.2-5.mga5
+ Revision: 747806
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.2-4.mga5
+ Revision: 689038
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.0.2-3.mga4
+ Revision: 518190
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 2.0.2-2.mga3
+ Revision: 381752
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 03 2011 dmorgan <dmorgan> 2.0.2-1.mga2
+ Revision: 117812
- Review spec file

  + gil <gil>
    - imported package sax2


* Tue May 31 2011 gil <gil> 2.0.2-0.%%mkrel
- initial rpm